Bug 180906 - [PATCH] multimedia/gpac-* update to 0.5.0
Summary: [PATCH] multimedia/gpac-* update to 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-28 13:10 UTC by Vladimir Kondratiev
Modified: 2013-10-31 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (12.45 KB, patch)
2013-07-28 13:10 UTC, Vladimir Kondratiev
no flags Details | Diff
gpac.patch (20.02 KB, patch)
2013-10-31 19:27 UTC, Vladimir Kondratyev
no flags Details | Diff
gpac.patch (20.19 KB, patch)
2013-10-31 20:19 UTC, Vladimir Kondratyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratiev 2013-07-28 13:10:00 UTC
- update multimedia/gpac-libgpac & multimedia/gpac-mp4box to 0.5.0
- add patch to export libgpac symbols required by multimedia/x264
- bump multimedia/x264 portrevision to chase new libgpac version

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-07-29 01:24:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer(s).
Comment 2 William Grzybowski freebsd_committer 2013-10-31 13:33:53 UTC
Responsible Changed
From-To: freebsd-multimedia->wg

I'll take it.
Comment 3 William Grzybowski 2013-10-31 13:36:14 UTC
Hi,

I am really sorry it took so long to take a look at this PR. However
0.5.0 is not building:

cc -O3  -O2 -pipe -I/usr/local/include -I/usr/local/include/libpng15
-fno-strict-aliasing -pthread -Wall -fno-strict-aliasing
-Wno-pointer-sign -fPIC -DPIC -fvisibility="hidden"
-DGPAC_HAVE_CONFIG_H -I"/usr/ports/multimedia/gpac-libgpac/work/gpac"
-I"/usr/ports/multimedia/gpac-libgpac/work/gpac/include" -c -o
utils/os_net.o utils/os_net.c
utils/os_divers.c: In function 'delete_carousel_data':
utils/os_divers.c:195: warning: implicit declaration of function
'gf_cleanup_dir'
utils/os_divers.c: At top level:
utils/os_divers.c:285: error: conflicting types for 'gf_delete_file'
/usr/local/include/gpac/tools.h:451: error: previous declaration of
'gf_delete_file' was here
utils/os_divers.c: In function 'gf_sys_init':
utils/os_divers.c:1034: warning: implicit declaration of function
'gf_log_set_tool_level'
utils/os_net.c:250: error: conflicting types for 'gf_net_is_ipv6'
/usr/local/include/gpac/network.h:373: error: previous declaration of
'gf_net_is_ipv6' was here
utils/os_net.c: In function 'gf_sk_del':
utils/os_net.c:463: warning: implicit declaration of function 'gf_free'
utils/os_net.c: At top level:
utils/os_net.c:481: error: conflicting types for 'gf_sk_connect'

Do you mind taking a look? Thanks.

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 4 Vladimir Kondratyev freebsd_committer 2013-10-31 19:27:06 UTC
Hi, William! Thank you for looking into that!

 > utils/os_divers.c:285: error: conflicting types for 'gf_delete_file'
/usr/local/include/gpac/tools.h:451: error: previous declaration of

It seems that you compiled new sources with old headers installed. You 
have to deinstall old gpac-libgpac before build a new one.

I attached updated patch made against current ports tree, but it not 
addresses this issue.

Also I can take maintainership on this port.

WBR, Vladimir Kondratiev
Comment 5 William Grzybowski 2013-10-31 19:33:53 UTC
Well, I should be able to build with it already installed.

Perhaps CFLAGS needs to be adjusted to point to ${WRKSRC}/includes or something?

On Thu, Oct 31, 2013 at 5:27 PM, Vladimir Kondratiev <wulf@cicgroup.ru> wrote:
> Hi, William! Thank you for looking into that!
>
>
>> utils/os_divers.c:285: error: conflicting types for 'gf_delete_file'
> /usr/local/include/gpac/tools.h:451: error: previous declaration of
>
> It seems that you compiled new sources with old headers installed. You have
> to deinstall old gpac-libgpac before build a new one.
>
> I attached updated patch made against current ports tree, but it not
> addresses this issue.
>
> Also I can take maintainership on this port.
>
> WBR, Vladimir Kondratiev
>



-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 6 Vladimir Kondratyev freebsd_committer 2013-10-31 19:57:04 UTC
As quick workaround, try replace
CFLAGS+= -I${LOCALBASE}/include
with
CFLAGS+= -I${WRKSRC}/include -I${LOCALBASE}/include
in port Makefile

if it not solves i will install gpac0.4.5 and look into issue more closely

On 31.10.2013 23:33, William Grzybowski wrote:
> Well, I should be able to build with it already installed.
>
> Perhaps CFLAGS needs to be adjusted to point to ${WRKSRC}/includes or something?
>
> On Thu, Oct 31, 2013 at 5:27 PM, Vladimir Kondratiev <wulf@cicgroup.ru> wrote:
>> Hi, William! Thank you for looking into that!
>>
>>
>>> utils/os_divers.c:285: error: conflicting types for 'gf_delete_file'
>> /usr/local/include/gpac/tools.h:451: error: previous declaration of
>>
>> It seems that you compiled new sources with old headers installed. You have
>> to deinstall old gpac-libgpac before build a new one.
>>
>> I attached updated patch made against current ports tree, but it not
>> addresses this issue.
>>
>> Also I can take maintainership on this port.
>>
>> WBR, Vladimir Kondratiev
>>
>
>
Comment 7 Vladimir Kondratyev freebsd_committer 2013-10-31 20:19:38 UTC
I had installed old version and successfully upgraded it to 0.5.0 with 
attached patch


On 31.10.2013 23:57, Vladimir Kondratiev wrote:
> As quick workaround, try replace
> CFLAGS+= -I${LOCALBASE}/include
> with
> CFLAGS+= -I${WRKSRC}/include -I${LOCALBASE}/include
> in port Makefile
>
> if it not solves i will install gpac0.4.5 and look into issue more 
> closely
>
> On 31.10.2013 23:33, William Grzybowski wrote:
>> Well, I should be able to build with it already installed.
>>
>> Perhaps CFLAGS needs to be adjusted to point to ${WRKSRC}/includes or 
>> something?
>>
>> On Thu, Oct 31, 2013 at 5:27 PM, Vladimir Kondratiev 
>> <wulf@cicgroup.ru> wrote:
>>> Hi, William! Thank you for looking into that!
>>>
>>>
>>>> utils/os_divers.c:285: error: conflicting types for 'gf_delete_file'
>>> /usr/local/include/gpac/tools.h:451: error: previous declaration of
>>>
>>> It seems that you compiled new sources with old headers installed. 
>>> You have
>>> to deinstall old gpac-libgpac before build a new one.
>>>
>>> I attached updated patch made against current ports tree, but it not
>>> addresses this issue.
>>>
>>> Also I can take maintainership on this port.
>>>
>>> WBR, Vladimir Kondratiev
>>>
>>
>>
>
Comment 8 dfilter service freebsd_committer 2013-10-31 21:33:58 UTC
Author: wg
Date: Thu Oct 31 21:33:48 2013
New Revision: 332289
URL: http://svnweb.freebsd.org/changeset/ports/332289

Log:
  multimedia/gpac-libgpac: update to 0.5
  
  - Update to 0.5
  - Export symbols required by x264
  - Bump revision of dependent ports
  
  PR:		ports/180906
  Submitted by:	Vladimir Kondratiev <wulf mail.mipt.ru>

Added:
  head/multimedia/gpac-libgpac/files/patch-export-x264-symbols   (contents, props changed)
  head/multimedia/gpac-libgpac/files/patch-src-utils-os_config_init.c   (contents, props changed)
  head/multimedia/gpac-libgpac/files/patch-src-utils-os_divers.c   (contents, props changed)
Deleted:
  head/multimedia/gpac-libgpac/files/patch-configure
  head/multimedia/gpac-libgpac/files/patch-src-media_tools-img.c
  head/multimedia/gpac-mp4box/files/
Modified:
  head/multimedia/gpac-libgpac/Makefile
  head/multimedia/gpac-libgpac/distinfo
  head/multimedia/gpac-libgpac/pkg-plist
  head/multimedia/gpac-mp4box/Makefile
  head/multimedia/gpac-mp4box/distinfo
  head/multimedia/x264/Makefile

Modified: head/multimedia/gpac-libgpac/Makefile
==============================================================================
--- head/multimedia/gpac-libgpac/Makefile	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/gpac-libgpac/Makefile	Thu Oct 31 21:33:48 2013	(r332289)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	gpac
-PORTVERSION=	0.4.5
-PORTREVISION=	7
+PORTVERSION=	0.5.0
 PORTEPOCH=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/${PORTNAME}/GPAC/GPAC%20${PORTVERSION}
@@ -12,20 +11,20 @@ PKGNAMESUFFIX=	-libgpac
 MAINTAINER=	multimedia@FreeBSD.org
 COMMENT=	Gpac MPEG-4 Systems library and headers
 
+LICENSE=	LGPL21
+
 WRKSRC=		${WRKDIR}/gpac
 ALL_TARGET=	lib
+INSTALL_TARGET=	install-lib
 USES=		gmake
 HAS_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-
-BUILD_WRKSRC=	${WRKSRC}/src
-INSTALL_WRKSRC=	${WRKSRC}/bin/gcc
-LIBVER=	1
+USE_DOS2UNIX=	src/utils/os_config_init.c
 
 OPTIONS_DEFINE=	IPV6 JPEG OPENGL SSL PNG XVIDEO
 OPTIONS_DEFAULT=	IPV6 JPEG SSL PNG
 
-CFLAGS+=	-I${LOCALBASE}/include
+CFLAGS+=	-I${WRKSRC}/include -I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 CONFIGURE_ARGS=	--cc="${CC}" --X11-path="${LOCALBASE}" \
@@ -33,15 +32,13 @@ CONFIGURE_ARGS=	--cc="${CC}" --X11-path=
 		--enable-pic \
 		--disable-wx \
 		--use-js=no --use-a52=no --use-faad=no --use-ffmpeg=no \
-		--use-ft=no --use-mad=no --use-ogg=no \
-		--use-openjpeg=no --use-theora=no --usr-vorbis=no
-
-CONFIGURE_ENV+=	LIBVER="${LIBVER}" PTHREAD_LIBS="${PTHREAD_LIBS}"
+		--use-ft=no --use-mad=no --use-ogg=no --use-xvid=no \
+		--use-openjpeg=no --use-theora=no --use-vorbis=no
 
 SSL_USE=	OPENSSL=yes
 SSL_CONFIGURE_ENABLE=	ssl
 OPENGL_USE=	GL=gl GL=glu
-OPENGL_CONFIGURE_ENABLE=	opengl
+OPENGL_CONFIGURE_ENABLE=3d
 XVIDEO_LIB_DEPENDS=	libXv.so:${PORTSDIR}/x11/libXv
 XVIDEO_CONFIGURE_OFF=	--disable-x11-xv --disable-x11-shm
 IPV6_CONFIGURE_ENABLE=	ipv6
@@ -54,14 +51,10 @@ PNG_CONFIGURE_OFF=	--use-png=no
 PNG_CFLAGS=		-I${LOCALBASE}/include/libpng15
 
 post-patch:
-	${CHMOD} +x ${WRKSRC}/configure
+	${REINPLACE_CMD} -e 's|s/\.\*\\(\[0-9\]\\)\\+\$$/\\1/|s/^[^0-9]*//| ;\
+		/CFLAGS=/s/-O3//' ${WRKSRC}/configure
 
-do-install:
-	${MKDIR} ${STAGEDIR}${PREFIX}/include/gpac
-	cd ${WRKSRC}/include/gpac && ${FIND} . | \
-		${CPIO} -vpdm -L -R ${LIBOWN}:${LIBGRP} ${STAGEDIR}${PREFIX}/include/gpac
-	${INSTALL_LIB} ${INSTALL_WRKSRC}/libgpac.so.${LIBVER} ${STAGEDIR}${PREFIX}/lib
-	${LN} -sf libgpac.so.${LIBVER} ${STAGEDIR}${PREFIX}/lib/libgpac.so
-	${INSTALL_DATA} ${INSTALL_WRKSRC}/libgpac_static.a ${STAGEDIR}${PREFIX}/lib
+post-install:
+	${INSTALL_DATA} ${WRKSRC}/gpac.pc ${STAGEDIR}${PREFIX}/libdata/pkgconfig
 
 .include <bsd.port.mk>

Modified: head/multimedia/gpac-libgpac/distinfo
==============================================================================
--- head/multimedia/gpac-libgpac/distinfo	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/gpac-libgpac/distinfo	Thu Oct 31 21:33:48 2013	(r332289)
@@ -1,2 +1,2 @@
-SHA256 (gpac-0.4.5.tar.gz) = f4039763ebec6630dc38e5e030c6573b47ced28fd009770c2e0e18b087753671
-SIZE (gpac-0.4.5.tar.gz) = 4269054
+SHA256 (gpac-0.5.0.tar.gz) = 42971ac39511a1b6d1db39af664ce887b38c8657328c88cd200d87a02de81c24
+SIZE (gpac-0.5.0.tar.gz) = 7861057

Added: head/multimedia/gpac-libgpac/files/patch-export-x264-symbols
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gpac-libgpac/files/patch-export-x264-symbols	Thu Oct 31 21:33:48 2013	(r332289)
@@ -0,0 +1,28 @@
+--- src/isomedia/avc_ext.c.orig	2012-03-27 13:48:05.000000000 +0400
++++ src/isomedia/avc_ext.c	2013-03-12 01:00:39.595690860 +0400
+@@ -170,6 +170,7 @@
+ 
+ 
+ #ifndef GPAC_DISABLE_ISOM_WRITE
++GF_EXPORT
+ GF_Err gf_isom_avc_config_new(GF_ISOFile *the_file, u32 trackNumber, GF_AVCConfig *cfg, char *URLname, char *URNname, u32 *outDescriptionIndex)
+ {
+ 	GF_TrackBox *trak;
+--- src/isomedia/isom_write.c.orig	2012-03-29 16:36:23.000000000 +0400
++++ src/isomedia/isom_write.c	2013-03-12 01:00:39.605699394 +0400
+@@ -1140,6 +1140,7 @@
+ 	return Track_SetStreamDescriptor(trak, StreamDescriptionIndex, entry->dataReferenceIndex, esd, NULL);
+ }
+ 
++GF_EXPORT
+ GF_Err gf_isom_set_visual_info(GF_ISOFile *movie, u32 trackNumber, u32 StreamDescriptionIndex, u32 Width, u32 Height)
+ {
+ 	GF_Err e;
+@@ -1187,6 +1188,7 @@
+ 	}
+ }
+ 
++GF_EXPORT
+ GF_Err gf_isom_set_pixel_aspect_ratio(GF_ISOFile *movie, u32 trackNumber, u32 StreamDescriptionIndex, u32 hSpacing, u32 vSpacing)
+ {
+ 	GF_Err e;

Added: head/multimedia/gpac-libgpac/files/patch-src-utils-os_config_init.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gpac-libgpac/files/patch-src-utils-os_config_init.c	Thu Oct 31 21:33:48 2013	(r332289)
@@ -0,0 +1,39 @@
+--- src/utils/os_config_init.c.orig	2012-03-27 13:48:05.000000000 +0400
++++ src/utils/os_config_init.c	2013-10-12 14:29:52.214068862 +0400
+@@ -51,6 +51,9 @@
+ #else
+ #ifdef GPAC_CONFIG_LINUX
+ #include <unistd.h>
++#elif defined GPAC_CONFIG_FREEBSD
++#include <sys/types.h>
++#include <sys/sysctl.h>
+ #endif
+ #define CFG_FILE_NAME	".gpacrc"
+ #define TEST_MODULE		"gm_dummy_in.so"
+@@ -225,7 +228,11 @@
+ {
+ 	char app_path[GF_MAX_PATH];
+ 	char *sep;
++#ifdef GPAC_CONFIG_FREEBSD
++	size_t size = GF_MAX_PATH;
++#else
+ 	u32 size = GF_MAX_PATH;
++#endif
+ 
+ 	/*on OSX, Linux & co, user home is where we store the cfg file*/
+ 	if (path_type==GF_PATH_CFG) {
+@@ -252,6 +259,14 @@
+ 			if (sep) sep[0] = 0;
+ 			return 1;
+ 		}
++#elif defined(GPAC_CONFIG_FREEBSD)
++		int mib[] = { CTL_KERN, KERN_PROC, KERN_PROC_PATHNAME, -1 };
++		sysctl(mib, 4, file_path, &size, NULL, 0);
++		if (size>0) {
++			char *sep = strrchr(file_path, '/');
++			if (sep) sep[0] = 0;
++			return 1;
++		}
+ #endif
+ 		return 0;
+ 	}

Added: head/multimedia/gpac-libgpac/files/patch-src-utils-os_divers.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gpac-libgpac/files/patch-src-utils-os_divers.c	Thu Oct 31 21:33:48 2013	(r332289)
@@ -0,0 +1,126 @@
+--- src/utils/os_divers.c.orig	2012-04-04 18:47:33.000000000 +0400
++++ src/utils/os_divers.c	2013-10-12 14:25:42.047109095 +0400
+@@ -1533,6 +1533,123 @@
+ 	return 1;
+ }
+ 
++#elif defined GPAC_CONFIG_FREEBSD
++
++#include <sys/types.h>
++#include <sys/sysctl.h>
++#include <sys/time.h>
++#include <sys/user.h>
++
++#define GETSYSCTL(name, var) getsysctl(name, &(var), sizeof(var))
++int getsysctl(const char *name, void *ptr, size_t len) {
++	size_t nlen = len;
++	if (sysctlbyname(name, ptr, &nlen, NULL, 0) == -1) {
++		GF_LOG(GF_LOG_ERROR, GF_LOG_CORE, ("[RTI] sysctl(%s...) failed: %s\n", name, strerror(errno)));
++		return -1;
++	}
++	if (nlen != len) {
++		GF_LOG(GF_LOG_ERROR, GF_LOG_CORE, ("[RTI] sysctl(%s...) expected %lu, got %lu\n",
++			name, (unsigned long)len, (unsigned long)nlen));
++		return -1;
++	}
++	return 0;
++}
++
++static int stathz = 128;
++
++Bool gf_sys_get_rti_os(u32 refresh_time_ms, GF_SystemRTInfo *rti, u32 flags)
++{
++	size_t length;
++	u32 entry_time;
++	struct kinfo_proc kinfo;
++	unsigned long result;
++	u32 u_k_time = 0, idle_time = 0;
++	u64 process_u_k_time = 0;
++	long cp_time[CPUSTATES];
++	struct clockinfo clockinfo;
++
++	entry_time = gf_sys_clock();
++	if (last_update_time && (entry_time - last_update_time < refresh_time_ms)) {
++		memcpy(rti, &the_rti, sizeof(GF_SystemRTInfo));
++		return 0;
++	}
++
++	int mib[] = { CTL_KERN, KERN_PROC, KERN_PROC_PID, the_rti.pid };
++	length = sizeof(kinfo);
++
++	if (sysctl(mib, 4, &kinfo, &length, NULL, 0) == 0) {
++		process_u_k_time = (u64)(kinfo.ki_rusage.ru_utime.tv_usec + kinfo.ki_rusage.ru_stime.tv_usec) +
++			(u64)(kinfo.ki_rusage.ru_utime.tv_sec + kinfo.ki_rusage.ru_stime.tv_sec) * (u64)1000000;
++	}
++
++	if (GETSYSCTL("kern.cp_time", cp_time) == 0) {
++		u_k_time = cp_time[CP_USER] + cp_time[CP_NICE] + cp_time[CP_SYS] + cp_time[CP_INTR];
++		idle_time = cp_time[CP_IDLE];
++	}
++
++	the_rti.physical_memory = the_rti.physical_memory_avail = 0;
++	if (GETSYSCTL("hw.physmem", result) == 0) {
++		the_rti.physical_memory = result;
++	}
++
++	if (GETSYSCTL("hw.usermem", result) == 0) {
++		the_rti.physical_memory_avail = result;
++	}
++
++	the_rti.sampling_instant = last_update_time;
++
++	if (last_update_time) {
++		the_rti.sampling_period_duration = (entry_time - last_update_time);
++		the_rti.process_cpu_time_diff = (process_u_k_time - last_process_k_u_time) / 1000;
++
++		/*oops, we have no choice but to assume 100% cpu usage during this period*/
++		if (!u_k_time) {
++			the_rti.total_cpu_time_diff = the_rti.sampling_period_duration;
++			u_k_time = last_cpu_u_k_time + the_rti.sampling_period_duration;
++			the_rti.cpu_idle_time = 0;
++			the_rti.total_cpu_usage = 100;
++			if (!the_rti.process_cpu_time_diff) the_rti.process_cpu_time_diff = the_rti.total_cpu_time_diff;
++			the_rti.process_cpu_usage = (u32) ( 100 *  the_rti.process_cpu_time_diff / the_rti.sampling_period_duration);
++		} else {
++			u64 samp_sys_time, cpu_idle_time;
++			/*move to ms (kern.cp_time gives times in 1/stathz unit*/
++			the_rti.total_cpu_time_diff = (u_k_time - last_cpu_u_k_time) * 1000 / stathz;
++
++			/*we're not that accurate....*/
++			if (the_rti.total_cpu_time_diff > the_rti.sampling_period_duration)
++				the_rti.sampling_period_duration = the_rti.total_cpu_time_diff;
++
++			if (!idle_time) idle_time = (the_rti.sampling_period_duration - the_rti.total_cpu_time_diff) * stathz / 1000;
++			samp_sys_time = u_k_time - last_cpu_u_k_time;
++			cpu_idle_time = idle_time - last_cpu_idle_time;
++			the_rti.total_cpu_usage = (u32) ( 100 * samp_sys_time / (cpu_idle_time + samp_sys_time ) );
++			/*move to ms (kern.cp_time gives times in 1/stathz unit*/
++			the_rti.cpu_idle_time = cpu_idle_time * 1000 / stathz;
++			if (!the_rti.process_cpu_time_diff) the_rti.process_cpu_time_diff = the_rti.total_cpu_time_diff;
++			the_rti.process_cpu_usage = (u32) ( stathz * the_rti.process_cpu_time_diff / (cpu_idle_time + samp_sys_time) / 10 );
++		}
++	} else {
++		mem_at_startup = the_rti.physical_memory_avail;
++		if (GETSYSCTL("kern.clockrate", clockinfo) == 0) {
++			if (clockinfo.stathz > 0) {
++				stathz = clockinfo.stathz;
++			}
++		}
++	}
++	the_rti.process_memory = mem_at_startup - the_rti.physical_memory_avail;
++
++#ifdef GPAC_MEMORY_TRACKING
++	the_rti.gpac_memory = gpac_allocated_memory;
++#endif
++
++	last_process_k_u_time = process_u_k_time;
++	last_cpu_idle_time = idle_time;
++	last_cpu_u_k_time = u_k_time;
++	last_update_time = entry_time;
++	memcpy(rti, &the_rti, sizeof(GF_SystemRTInfo));
++	return 1;
++}
++
+ //linux
+ #else
+ 

Modified: head/multimedia/gpac-libgpac/pkg-plist
==============================================================================
--- head/multimedia/gpac-libgpac/pkg-plist	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/gpac-libgpac/pkg-plist	Thu Oct 31 21:33:48 2013	(r332289)
@@ -1,35 +1,46 @@
-include/gpac/avparse.h
-include/gpac/base_coding.h
-include/gpac/bifs.h
-include/gpac/bifsengine.h
-include/gpac/bitstream.h
-include/gpac/color.h
-include/gpac/compositor.h
-include/gpac/config_file.h
-include/gpac/constants.h
-include/gpac/crypt.h
-include/gpac/download.h
-include/gpac/esi.h
-include/gpac/events.h
-include/gpac/ietf.h
-include/gpac/internal/avilib.h
-include/gpac/internal/bifs_dev.h
-include/gpac/internal/bifs_tables.h
-include/gpac/internal/camera.h
-include/gpac/internal/compositor_dev.h
-include/gpac/internal/config_static.h
-include/gpac/internal/crypt_dev.h
-include/gpac/internal/ietf_dev.h
-include/gpac/internal/isomedia_dev.h
-include/gpac/internal/laser_dev.h
-include/gpac/internal/media_dev.h
-include/gpac/internal/mesh.h
-include/gpac/internal/odf_dev.h
-include/gpac/internal/ogg.h
-include/gpac/internal/scenegraph_dev.h
-include/gpac/internal/swf_dev.h
-include/gpac/internal/terminal_dev.h
-include/gpac/internal/vobsub.h
+include/gpac/ait.h
+include/gpac/avparse.h
+include/gpac/base_coding.h
+include/gpac/bifs.h
+include/gpac/bitstream.h
+include/gpac/cache.h
+include/gpac/color.h
+include/gpac/compositor.h
+include/gpac/config_file.h
+include/gpac/configuration.h
+include/gpac/constants.h
+include/gpac/crypt.h
+include/gpac/download.h
+include/gpac/dsmcc.h
+include/gpac/dvb_mpe.h
+include/gpac/esi.h
+include/gpac/events.h
+include/gpac/events_constants.h
+include/gpac/filestreamer.h
+include/gpac/ietf.h
+include/gpac/internal/avilib.h
+include/gpac/internal/bifs_dev.h
+include/gpac/internal/bifs_tables.h
+include/gpac/internal/camera.h
+include/gpac/internal/compositor_dev.h
+include/gpac/internal/crypt_dev.h
+include/gpac/internal/dvb_mpe_dev.h
+include/gpac/internal/ietf_dev.h
+include/gpac/internal/isomedia_dev.h
+include/gpac/internal/laser_dev.h
+include/gpac/internal/m3u8.h
+include/gpac/internal/media_dev.h
+include/gpac/internal/mesh.h
+include/gpac/internal/mpd.h
+include/gpac/internal/odf_dev.h
+include/gpac/internal/odf_parse_common.h
+include/gpac/internal/ogg.h
+include/gpac/internal/reedsolomon.h
+include/gpac/internal/scenegraph_dev.h
+include/gpac/internal/smjs_api.h
+include/gpac/internal/swf_dev.h
+include/gpac/internal/terminal_dev.h
+include/gpac/internal/vobsub.h
 include/gpac/ismacryp.h
 include/gpac/iso639.h
 include/gpac/isomedia.h
@@ -39,12 +50,13 @@ include/gpac/math.h
 include/gpac/media_tools.h
 include/gpac/mediaobject.h
 include/gpac/module.h
-include/gpac/modules/audio_out.h
-include/gpac/modules/codec.h
-include/gpac/modules/font.h
-include/gpac/modules/ipmp.h
-include/gpac/modules/js_usr.h
-include/gpac/modules/raster2d.h
+include/gpac/modules/audio_out.h
+include/gpac/modules/codec.h
+include/gpac/modules/font.h
+include/gpac/modules/hardcoded_proto.h
+include/gpac/modules/ipmp.h
+include/gpac/modules/js_usr.h
+include/gpac/modules/raster2d.h
 include/gpac/modules/service.h
 include/gpac/modules/term_ext.h
 include/gpac/modules/video_out.h
@@ -54,27 +66,34 @@ include/gpac/network.h
 include/gpac/nodes_mpeg4.h
 include/gpac/nodes_svg.h
 include/gpac/nodes_x3d.h
-include/gpac/nodes_xbl.h
-include/gpac/options.h
-include/gpac/path2d.h
-include/gpac/scene_manager.h
-include/gpac/scenegraph.h
-include/gpac/scenegraph_svg.h
+include/gpac/nodes_xbl.h
+include/gpac/options.h
+include/gpac/path2d.h
+include/gpac/ringbuffer.h
+include/gpac/rtp_streamer.h
+include/gpac/scene_engine.h
+include/gpac/scene_manager.h
+include/gpac/scenegraph.h
+include/gpac/scenegraph_svg.h
 include/gpac/scenegraph_vrml.h
 include/gpac/setup.h
 include/gpac/svg_types.h
 include/gpac/sync_layer.h
 include/gpac/term_info.h
 include/gpac/terminal.h
-include/gpac/thread.h
-include/gpac/token.h
-include/gpac/tools.h
-include/gpac/user.h
-include/gpac/utf.h
-include/gpac/xml.h
-lib/libgpac.so
-lib/libgpac.so.1
-lib/libgpac_static.a
-@dirrm include/gpac/modules
-@dirrm include/gpac/internal
-@dirrm include/gpac
+include/gpac/thread.h
+include/gpac/token.h
+include/gpac/tools.h
+include/gpac/unicode.h
+include/gpac/user.h
+include/gpac/utf.h
+include/gpac/version.h
+include/gpac/xml.h
+lib/libgpac.so
+lib/libgpac.so.2
+lib/libgpac.so.2.0.0
+lib/libgpac_static.a
+libdata/pkgconfig/gpac.pc
+@dirrm include/gpac/modules
+@dirrm include/gpac/internal
+@dirrm include/gpac

Modified: head/multimedia/gpac-mp4box/Makefile
==============================================================================
--- head/multimedia/gpac-mp4box/Makefile	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/gpac-mp4box/Makefile	Thu Oct 31 21:33:48 2013	(r332289)
@@ -2,23 +2,32 @@
 # $FreeBSD$
 
 PORTNAME=	mp4box
-DISTVERSION=	0.4.5
-PORTREVISION=	1
+DISTVERSION=	0.5.0
 CATEGORIES=	multimedia
 MASTER_SITES=	SF/gpac/GPAC/GPAC%20${PORTVERSION}
 PKGNAMEPREFIX=	gpac-
 DISTNAME=	gpac-${DISTVERSION}
 
 MAINTAINER=	pvizeli@yahoo.de
-COMMENT=	A tool for merge mpg4 from Gpac
+COMMENT=	Tool for merge mpg4 from Gpac
 
-LIB_DEPENDS=	gpac.1:${PORTSDIR}/multimedia/gpac-libgpac
+LICENSE=	LGPL21
+
+LIB_DEPENDS=	libgpac.so:${PORTSDIR}/multimedia/gpac-libgpac
+
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib -lgpac
 
 WRKSRC=		${WRKDIR}/gpac/applications/mp4box
-PLIST_FILES=	bin/mp4box
+PLIST_FILES=	bin/mp4box man/man1/mp4box.1.gz
 
-NO_STAGE=	yes
-pre-patch:
-	${RM} -f ${WRKSRC}/Makefile
+do-build:
+	cd ${WRKSRC} && ${CC} ${CFLAGS} ${LDFLAGS} -o mp4box \
+		filedump.c fileimport.c live.c main.c
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/mp4box ${STAGEDIR}${PREFIX}/bin/mp4box
+	${INSTALL_MAN} ${WRKSRC}/../../doc/man/mp4box.1 \
+		${STAGEDIR}${PREFIX}/man/man1/mp4box.1
 
 .include <bsd.port.mk>

Modified: head/multimedia/gpac-mp4box/distinfo
==============================================================================
--- head/multimedia/gpac-mp4box/distinfo	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/gpac-mp4box/distinfo	Thu Oct 31 21:33:48 2013	(r332289)
@@ -1,2 +1,2 @@
-SHA256 (gpac-0.4.5.tar.gz) = f4039763ebec6630dc38e5e030c6573b47ced28fd009770c2e0e18b087753671
-SIZE (gpac-0.4.5.tar.gz) = 4269054
+SHA256 (gpac-0.5.0.tar.gz) = 42971ac39511a1b6d1db39af664ce887b38c8657328c88cd200d87a02de81c24
+SIZE (gpac-0.5.0.tar.gz) = 7861057

Modified: head/multimedia/x264/Makefile
==============================================================================
--- head/multimedia/x264/Makefile	Thu Oct 31 21:31:42 2013	(r332288)
+++ head/multimedia/x264/Makefile	Thu Oct 31 21:33:48 2013	(r332289)
@@ -3,6 +3,7 @@
 
 PORTNAME=	x264
 PORTVERSION=	0.${X264_BUILD}.${X264_REV}
+PORTREVISION=	1
 CATEGORIES=	multimedia
 MASTER_SITES=	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/ \
 		http://samples.mplayerhq.hu/yuv4mpeg2/:pgo
@@ -82,8 +83,7 @@ RESTRICTED_FILES=	${Y4M_VIDEO_DISTFILE}
 .endif
 
 .if ${PORT_OPTIONS:MGPAC}
-BUILD_DEPENDS+=		gpac-libgpac>=0.4.5,1:${PORTSDIR}/multimedia/gpac-libgpac
-LIB_DEPENDS+=		gpac.1:${PORTSDIR}/multimedia/gpac-libgpac
+LIB_DEPENDS+=		libgpac.so:${PORTSDIR}/multimedia/gpac-libgpac
 .else
 CONFIGURE_ARGS+=	--disable-gpac
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 William Grzybowski freebsd_committer 2013-10-31 21:33:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!